Bug 474470 - RFE: Need /proc or /sys view of adding device state
RFE: Need /proc or /sys view of adding device state
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike Christie
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2008-12-03 17:30 EST by Warren Togami
Modified: 2013-01-09 23:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2008-12-03 17:30:11 EST
https://bugzilla.redhat.com/show_bug.cgi?id=470628#c36
Some F-10 users report failure in booting because it attempts to access the disks before the SCSI scanning has stabilized.  mkinitrd uses both "stabilized" and optionally scsi_wait_scan to wait for the disks to be ready before proceeding.

scsi_wait_scan is a hack that achieves this goal in a non-ideal way.

pjones wants there to be a /proc or /sys file that can be read to determine the state of scanning.  He wants there to be at least two states visible, but more informative states would be welcome.  He says that this wont make much difference to boot speed on a single device system, but large systems it will allow faster booting.

Desired States
==============
* (REQUIRED) Currently adding something
* (OPTIONAL) Intermediate informational states if they make sense?
* (REQUIRED) Done

initrd would read this file before it reaches the point where it needs to access those disks.  If it is not yet ready, it will poll until it is done.  

We hope this can be upstream for kernel-2.6.29.
Comment 1 Warren Togami 2008-12-03 17:35:39 EST
Adding arjan because pjones mentioned he might have an opinion on this.
Assigning to coughlan because riel said so.
Comment 2 Jesse Keating 2009-04-13 20:44:37 EDT
I don't believe we'd hold up F11 for this, in fact a change like this may not be prudent at this stage anyway.
Comment 3 Bug Zapper 2010-03-15 08:19:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.